package com.ruoyi.tcZz.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.tcZz.domain.TcWljg;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.tcZz.mapper.TcBjsjwpMapper;
import com.ruoyi.tcZz.domain.TcBjsjwp;
import com.ruoyi.tcZz.service.ITcBjsjwpService;

/**
 * 本级上级网评指令比例（月）Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-10-13
 */
@Service
public class TcBjsjwpServiceImpl implements ITcBjsjwpService 
{
    @Autowired
    private TcBjsjwpMapper tcBjsjwpMapper;

    /**
     * 查询本级上级网评指令比例（月）
     * 
     * @param id 本级上级网评指令比例（月）主键
     * @return 本级上级网评指令比例（月）
     */
    @Override
    public TcBjsjwp selectTcBjsjwpById(Long id)
    {
        return tcBjsjwpMapper.selectTcBjsjwpById(id);
    }

    /**
     * 查询本级上级网评指令比例（月）列表
     * 
     * @param tcBjsjwp 本级上级网评指令比例（月）
     * @return 本级上级网评指令比例（月）
     */
    @Override
    public List<TcBjsjwp> selectTcBjsjwpList(TcBjsjwp tcBjsjwp)
    {
        return tcBjsjwpMapper.selectTcBjsjwpList(tcBjsjwp);
    }

    /**
     * 新增本级上级网评指令比例（月）
     * 
     * @param tcBjsjwp 本级上级网评指令比例（月）
     * @return 结果
     */
    @Override
    public int insertTcBjsjwp(TcBjsjwp tcBjsjwp)
    {
        tcBjsjwp.setCreateTime(DateUtils.getNowDate());
        return tcBjsjwpMapper.insertTcBjsjwp(tcBjsjwp);
    }

    /**
     * 修改本级上级网评指令比例（月）
     * 
     * @param tcBjsjwp 本级上级网评指令比例（月）
     * @return 结果
     */
    @Override
    public int updateTcBjsjwp(TcBjsjwp tcBjsjwp)
    {
        tcBjsjwp.setUpdateTime(DateUtils.getNowDate());
        return tcBjsjwpMapper.updateTcBjsjwp(tcBjsjwp);
    }

    /**
     * 批量删除本级上级网评指令比例（月）
     * 
     * @param ids 需要删除的本级上级网评指令比例（月）主键
     * @return 结果
     */
    @Override
    public int deleteTcBjsjwpByIds(Long[] ids)
    {
        return tcBjsjwpMapper.deleteTcBjsjwpByIds(ids);
    }

    /**
     * 删除本级上级网评指令比例（月）信息
     * 
     * @param id 本级上级网评指令比例（月）主键
     * @return 结果
     */
    @Override
    public int deleteTcBjsjwpById(Long id)
    {
        return tcBjsjwpMapper.deleteTcBjsjwpById(id);
    }

    @Override
    public String importUser(List<TcBjsjwp> tcBjsjwpList) {
        StringBuilder successMsg = new StringBuilder();
        if (!tcBjsjwpList.isEmpty()) {
            for (TcBjsjwp tcBjsjwp : tcBjsjwpList) {
                tcBjsjwpMapper.insertTcBjsjwp(tcBjsjwp);
            }
            successMsg.append("导入成功");
        }

        return successMsg.toString();
    }

    @Override
    public void updateByisStatus(Integer isStatus,List<String> ids) {
        tcBjsjwpMapper.updateByisStatus(isStatus,ids);
    }
}
